[Ocfs2-test-devel] [PATCH 59/59] discontig: fix fork process error

Junxiao Bi junxiao.bi at oracle.com
Sun Sep 13 19:44:45 PDT 2015


Xattr test will fork a new process for every test file, so too many test
files may over the limit of the max processes one user can create and
causes "fork process error". Decrease the test file number to fix this.

Signed-off-by: Junxiao Bi <junxiao.bi at oracle.com>
---
 programs/discontig_bg_test/discontig_runner.sh |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/programs/discontig_bg_test/discontig_runner.sh b/programs/discontig_bg_test/discontig_runner.sh
index 8964e48..a7c18ab 100755
--- a/programs/discontig_bg_test/discontig_runner.sh
+++ b/programs/discontig_bg_test/discontig_runner.sh
@@ -635,16 +635,16 @@ function f_xattr_test()
 	${MKDIR_BIN} -p ${WORK_PLACE}
 
 	f_LogMsg ${LOG_FILE} "Stress xattr filling-up test with multiple processes."
-	f_LogMsg ${LOG_FILE} "CMD: ${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 50 -s 150 -f 5000 -r -k ${WORK_PLACE}"
-	${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 50 -s 150 -f 5000 -k ${WORK_PLACE} >>${LOG_FILE} 2>&1 || {
+	f_LogMsg ${LOG_FILE} "CMD: ${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 50 -s 150 -f 500 -r -k ${WORK_PLACE}"
+	${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 50 -s 150 -f 500 -k ${WORK_PLACE} >>${LOG_FILE} 2>&1 || {
 		f_LogMsg "Volume get filled up with xattr blocks."
 	}
 	
 	f_LogMsg ${LOG_FILE} "Remove all xattr blocks"
 	${RM_BIN} -rf ${WORK_PLACE}/*
 
-	f_LogMsg ${LOG_FILE} "CMD: ${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 30 -s 80 -f 8000 -r -k ${WORK_PLACE}"
-	${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 30 -s 80 -f 8000 -k ${WORK_PLACE} >>${LOG_FILE} 2>&1 || {
+	f_LogMsg ${LOG_FILE} "CMD: ${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 30 -s 80 -f 800 -r -k ${WORK_PLACE}"
+	${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 30 -s 80 -f 800 -k ${WORK_PLACE} >>${LOG_FILE} 2>&1 || {
 		f_LogMsg "Volume get filled up with xattr blocks."
 	}
 	
@@ -652,8 +652,8 @@ function f_xattr_test()
 	${RM_BIN} -rf ${WORK_PLACE}/*
 
 	f_LogMsg ${LOG_FILE} "Stress&Random xattr filling-up test with multiple processes."
-	f_LogMsg ${LOG_FILE} "CMD: ${XATTR_TEST_BIN} -i 1 -x 200 -n user -t normal -l 50 -s 150 -f 5000 -r -k ${WORK_PLACE}"
-	${XATTR_TEST_BIN} -i 1 -x 200 -n user -t normal -l 50 -s 150 -f 5000 -r -k ${WORK_PLACE} >>${LOG_FILE} 2>&1 || {
+	f_LogMsg ${LOG_FILE} "CMD: ${XATTR_TEST_BIN} -i 1 -x 200 -n user -t normal -l 50 -s 150 -f 500 -r -k ${WORK_PLACE}"
+	${XATTR_TEST_BIN} -i 1 -x 200 -n user -t normal -l 50 -s 150 -f 500 -r -k ${WORK_PLACE} >>${LOG_FILE} 2>&1 || {
 		f_LogMsg "Volume get filled up with xattr blocks."
 	}
 
@@ -1084,8 +1084,8 @@ function f_multi_xattr_test()
 	${MKDIR_BIN} -p ${WORK_PLACE}
 
 	f_LogMsg ${LOG_FILE} "Stress xattr filling-up test with multiple processes."
-        f_LogMsg ${LOG_FILE} "CMD: ${MPIRUN} ${MPI_PLS_AGENT_ARG} ${MPI_BTL_ARG} ${MPI_BTL_IF_ARG} --host ${MPI_HOSTS} ${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 50 -s 150 -f 5000 -r -k ${WORK_PLACE}"
-        ${MPIRUN} ${MPI_PLS_AGENT_ARG} ${MPI_BTL_ARG} ${MPI_BTL_IF_ARG} --host ${MPI_HOSTS} ${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 50 -s 150 -f 5000 -r -k ${WORK_PLACE} >>${LOG_FILE} 2>&1 || {
+        f_LogMsg ${LOG_FILE} "CMD: ${MPIRUN} ${MPI_PLS_AGENT_ARG} ${MPI_BTL_ARG} ${MPI_BTL_IF_ARG} --host ${MPI_HOSTS} ${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 50 -s 150 -f 500 -r -k ${WORK_PLACE}"
+        ${MPIRUN} ${MPI_PLS_AGENT_ARG} ${MPI_BTL_ARG} ${MPI_BTL_IF_ARG} --host ${MPI_HOSTS} ${XATTR_TEST_BIN} -i 1 -x 2 -n user -t normal -l 50 -s 150 -f 500 -r -k ${WORK_PLACE} >>${LOG_FILE} 2>&1 || {
                 f_LogMsg ${LOG_FILE} "Volume get filled up with xattr blocks."
 	}
 
-- 
1.7.9.5




More information about the Ocfs2-test-devel mailing list